SuperStrict

' set up framework
Framework BRL.GlMax2D
Import Holzchopf.Calc
Import BRL.Math

' set up math
TCalc.LinkFuncD(Sin, "sin(a)")
TCalc.LinkFuncD(Cos, "cos(a)")
Local xVar:TCalcTerm = TCalc.AllocTerm("x")
Local yVar:TCalcTerm = TCalc.AllocTerm("y")
' some additional variables
TCalcTerm.Create("x-128", "dx")
TCalcTerm.Create("y-128", "dy")
TCalcTerm.Create("(dx*dx+dy*dy)^0.5", "d")
' used term
Local term:TCalcTerm = TCalcTerm.Create("(1+cos(d/128*360))*128")

' graphics window
SetGraphicsDriver GLMax2DDriver()
Graphics 256,280

' link variables
Local x:Int, y:Int
xVar.LinkToVarInt(x)
yVar.LinkToVarInt(y)

' let's create some graphics
Local startTime:Int = MilliSecs()
For y = 0 Until 256
	For x = 0 Until 256
		TCalc.UseValues() ' set to false to see influence of UseValues 
		
		SetColor term.Get(), term.Get(), term.Get()
		Plot x,y
	Next
Next
Local totalTime:Int = MilliSecs()-startTime
SetColor 255,255,255
DrawText "rendered in "+totalTime+"ms",0,258

Flip

WaitKey()
		